Subject: [ledbat] Review draft-ietf-ledbat-congestion-02

From: Rolf Winter <[email-masked]>
Date: Thu, 19 Aug 2010 16:03:23 +0000

Hi,

here are some more comments on the draft:

Please, I believe we do not endorse, rate or market products. Please remove "which is currently the most popular BitTorrent client".

Add the mandatory IANA considerations section.

"LEDBAT enables other advanced networking". You deleted "advanced" in the abstract, you might want to do that here too.

Add reference for the One-Way Active Measurement Protocol

s/To deal, base delay needs to be computed over a period of last few minutes instead of since the start of connection. The tradeoff is: for longer intervals, base is more accurate; for shorter intervals, reaction to route changes is faster./To deal with route change, the base delay needs to be computed over the last few minutes instead of since the start of connection. The tradeoff is: for longer intervals, the base delay is more accurate; for shorter intervals, the reaction to route change is faster.

s/as Network Time Protocol (NTP)/as the Network Time Protocol (NTP)/

"A 100-PPM skew means accumulating 6 milliseconds of error per minute.  The expiration of base delay related to route changes mostly takes care of clock skew." I am not sure this is a good suggestion. Given that we recommend a 10 minute base history (and up to 20 mins) the 6ms sum up to 60ms which is far above the delay target. Shouldn't we rather suggest to actually make use of a skew compensation scheme even if it is not specified in the document?

I think the skew correction alternatives should go into an appendix if we want to keep them as they are not part of the spec but rather a reference. I am not sure we should include the Byzantine skew correction algorithm. That, I feel at least, seems the least cooked. Alternatively it could be better explained. I don't see e.g. why the median across all skews is a useful metric.

"GAIN SHOULD be set so that max rampup rate is the same as for TCP and MAY be up to twice more." This is new and needs to be discussed. Is LEDBAT allowed to ramp up twice as fast as TCP?

Best,

	Rolf

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014